Description

When using a LDAP Auth source and specifying a username/password the password is stored as cleartext in the DB.  However, for

local user auth, passwords are being stored as a hash.  Please update to have LDAP Auth source passwords hashed also.

Associated revisions

Revision 403d2d8d - 04/29/2021 12:03 PM - Nacho Barrientos

Allow customising the list of HTTP headers to unset

This patchset adds a new parameter to `foreman::config::apache` called

`request_headers_to_unset` containing a list of HTTP headers to be

unset before proxy passing the request to the application. See the

associated issue for more information.

Fixes #941

History

#1 - 07/17/2011 10:26 AM - Ohad Levy

- Status changed from New to Feedback

since we need to authenticate with, I'm not sure if you can store it in an encrypted mode which cant be decrypted easily.

since decryption needs a key to decrypt, and foreman needs access to that key, anyone could simply use the key to unlock the password back to

clear text.

the best way around this problem, is simply to use the user credeintails to authenticate to the ldap server (hence no ldap password and use of $login

as the ldap user).

#2 - 07/18/2011 09:00 AM - Jacob McCann

I am using the method you suggested so this does not impact me anymore.

I'm not sure completely if I understand the reasoning for storing it as plaintext in the DB still though, but this is due to a lack of knowledge on my part. 

If there are limitations then so be it.

#3 - 07/18/2011 09:45 AM - Ohad Levy

- Status changed from Feedback to Rejected
